#ifndef RESPONSECLASSES_H
#define RESPONSECLASSES_H
#include <QByteArray>
#include <QString>
#include <QVariant>
#include <QMap>
#include <QList>
#include <QHash>

//void (*propertyManager)(QByteArray);

class Response
{
    public:
        QByteArray code;
        QByteArray datas;
        QString description;
        void manager(Response *);
};

class ResponseProperties
{
    public:
        QByteArray code;
        QByteArray datas;
        QString description;
        QMap <uint, QList<QVariant>> properties;
        QMap <uint, QMap<uint,QString>> propertyDetail;
        QHash <uint, void (*)(QByteArray)> propertyManagerList;
        void (*manager)(Response *);
};

void infoOutput(Response *);
void defaultManager(Response *);
//void (*manager)(Response *);
void macCapabilityManager(QByteArray);

#endif // RESPONSECLASSES_H
